Index: remit/vouchers/migrations/0009_add_rfp_integration.py
===================================================================
--- remit/vouchers/migrations/0009_add_rfp_integration.py	(revision 1a8ef129294bfb847ce6c23e7ad51e2f150960e1)
+++ remit/vouchers/migrations/0009_add_rfp_integration.py	(revision 1a8ef129294bfb847ce6c23e7ad51e2f150960e1)
@@ -0,0 +1,245 @@
+# -*- coding: utf-8 -*-
+from south.utils import datetime_utils as datetime
+from south.db import db
+from south.v2 import SchemaMigration
+from django.db import models
+
+
+class Migration(SchemaMigration):
+
+    def forwards(self, orm):
+        # Adding field 'RFP.rfp_submit_time'
+        db.add_column(u'vouchers_rfp', 'rfp_submit_time',
+                      self.gf('django.db.models.fields.DateTimeField')(default=None, null=True, blank=True),
+                      keep_default=False)
+
+        # Adding field 'RFP.rfp_number'
+        db.add_column(u'vouchers_rfp', 'rfp_number',
+                      self.gf('django.db.models.fields.IntegerField')(default=None, null=True, blank=True),
+                      keep_default=False)
+
+        # Adding field 'RFP.name'
+        db.add_column(u'vouchers_rfp', 'name',
+                      self.gf('django.db.models.fields.CharField')(default='', max_length=25),
+                      keep_default=False)
+
+        # Adding field 'RFP.payee_type'
+        db.add_column(u'vouchers_rfp', 'payee_type',
+                      self.gf('django.db.models.fields.CharField')(default='other', max_length=10),
+                      keep_default=False)
+
+        # Adding field 'RFP.payee_name'
+        db.add_column(u'vouchers_rfp', 'payee_name',
+                      self.gf('django.db.models.fields.CharField')(default='', max_length=35),
+                      keep_default=False)
+
+        # Adding field 'RFP.addr_street'
+        db.add_column(u'vouchers_rfp', 'addr_street',
+                      self.gf('django.db.models.fields.CharField')(default='', max_length=35, blank=True),
+                      keep_default=False)
+
+        # Adding field 'RFP.addr_city'
+        db.add_column(u'vouchers_rfp', 'addr_city',
+                      self.gf('django.db.models.fields.CharField')(default='', max_length=35, blank=True),
+                      keep_default=False)
+
+        # Adding field 'RFP.addr_state'
+        db.add_column(u'vouchers_rfp', 'addr_state',
+                      self.gf('django.db.models.fields.CharField')(default='', max_length=10, blank=True),
+                      keep_default=False)
+
+        # Adding field 'RFP.addr_zip'
+        db.add_column(u'vouchers_rfp', 'addr_zip',
+                      self.gf('django.db.models.fields.CharField')(default='', max_length=10, blank=True),
+                      keep_default=False)
+
+        # Adding field 'RFP.item_date'
+        db.add_column(u'vouchers_rfp', 'item_date',
+                      self.gf('django.db.models.fields.DateField')(default=datetime.datetime(2014, 7, 7, 0, 0)),
+                      keep_default=False)
+
+        # Adding field 'RFP.item_gl'
+        db.add_column(u'vouchers_rfp', 'item_gl',
+                      self.gf('django.db.models.fields.CharField')(default=0, max_length=10),
+                      keep_default=False)
+
+        # Adding field 'RFP.item_co'
+        db.add_column(u'vouchers_rfp', 'item_co',
+                      self.gf('django.db.models.fields.CharField')(default=0, max_length=12),
+                      keep_default=False)
+
+        # Adding field 'RFP.item_amount'
+        db.add_column(u'vouchers_rfp', 'item_amount',
+                      self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=7, decimal_places=2),
+                      keep_default=False)
+
+        # Adding field 'RFP.item_desc'
+        db.add_column(u'vouchers_rfp', 'item_desc',
+                      self.gf('django.db.models.fields.TextField')(default=''),
+                      keep_default=False)
+
+        # Adding field 'RFP.documentation'
+        db.add_column(u'vouchers_rfp', 'documentation',
+                      self.gf('django.db.models.fields.related.ForeignKey')(to=orm['vouchers.Documentation'], null=True, blank=True),
+                      keep_default=False)
+
+        # Adding field 'ReimbursementRequest.recipient_type'
+        db.add_column(u'vouchers_reimbursementrequest', 'recipient_type',
+                      self.gf('django.db.models.fields.CharField')(default='other', max_length=10),
+                      keep_default=False)
+
+
+    def backwards(self, orm):
+        # Deleting field 'RFP.rfp_submit_time'
+        db.delete_column(u'vouchers_rfp', 'rfp_submit_time')
+
+        # Deleting field 'RFP.rfp_number'
+        db.delete_column(u'vouchers_rfp', 'rfp_number')
+
+        # Deleting field 'RFP.name'
+        db.delete_column(u'vouchers_rfp', 'name')
+
+        # Deleting field 'RFP.payee_type'
+        db.delete_column(u'vouchers_rfp', 'payee_type')
+
+        # Deleting field 'RFP.payee_name'
+        db.delete_column(u'vouchers_rfp', 'payee_name')
+
+        # Deleting field 'RFP.addr_street'
+        db.delete_column(u'vouchers_rfp', 'addr_street')
+
+        # Deleting field 'RFP.addr_city'
+        db.delete_column(u'vouchers_rfp', 'addr_city')
+
+        # Deleting field 'RFP.addr_state'
+        db.delete_column(u'vouchers_rfp', 'addr_state')
+
+        # Deleting field 'RFP.addr_zip'
+        db.delete_column(u'vouchers_rfp', 'addr_zip')
+
+        # Deleting field 'RFP.item_date'
+        db.delete_column(u'vouchers_rfp', 'item_date')
+
+        # Deleting field 'RFP.item_gl'
+        db.delete_column(u'vouchers_rfp', 'item_gl')
+
+        # Deleting field 'RFP.item_co'
+        db.delete_column(u'vouchers_rfp', 'item_co')
+
+        # Deleting field 'RFP.item_amount'
+        db.delete_column(u'vouchers_rfp', 'item_amount')
+
+        # Deleting field 'RFP.item_desc'
+        db.delete_column(u'vouchers_rfp', 'item_desc')
+
+        # Deleting field 'RFP.documentation'
+        db.delete_column(u'vouchers_rfp', 'documentation_id')
+
+        # Deleting field 'ReimbursementRequest.recipient_type'
+        db.delete_column(u'vouchers_reimbursementrequest', 'recipient_type')
+
+
+    models = {
+        u'finance_core.budgetarea': {
+            'Meta': {'ordering': "['path']", 'object_name': 'BudgetArea'},
+            'account_number': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
+            'always': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
+            'budget_term': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['finance_core.BudgetTerm']", 'through': u"orm['finance_core.BudgetAreaTerm']", 'symmetrical': 'False'}),
+            'comment': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
+            'depth': ('django.db.models.fields.PositiveIntegerField', [], {}),
+            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
+            'interested': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
+            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
+            'numchild': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
+            'owner': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
+            'path': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
+            'use_owner': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
+        },
+        u'finance_core.budgetareaterm': {
+            'Meta': {'object_name': 'BudgetAreaTerm'},
+            'budget_area': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['finance_core.BudgetArea']"}),
+            'budget_term': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['finance_core.BudgetTerm']"}),
+            'comment': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
+            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
+        },
+        u'finance_core.budgetterm': {
+            'Meta': {'object_name': 'BudgetTerm'},
+            'end_date': ('django.db.models.fields.DateField', [], {}),
+            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
+            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
+            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '20'}),
+            'start_date': ('django.db.models.fields.DateField', [], {}),
+            'submit_deadline': ('django.db.models.fields.DateField', [], {})
+        },
+        u'vouchers.documentation': {
+            'Meta': {'object_name': 'Documentation'},
+            'backing_file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
+            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
+            'label': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '50'}),
+            'submitter': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True'}),
+            'upload_time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'})
+        },
+        u'vouchers.reimbursementrequest': {
+            'Meta': {'ordering': "['id']", 'object_name': 'ReimbursementRequest'},
+            'amount': ('django.db.models.fields.DecimalField', [], {'max_digits': '7', 'decimal_places': '2'}),
+            'approval_status': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
+            'approval_time': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
+            'budget_area': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'as_budget_area'", 'to': u"orm['finance_core.BudgetArea']"}),
+            'budget_term': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['finance_core.BudgetTerm']"}),
+            'check_to_addr': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
+            'check_to_email': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
+            'check_to_first_name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
+            'check_to_last_name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
+            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
+            'documentation': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['vouchers.Documentation']", 'null': 'True', 'blank': 'True'}),
+            'expense_area': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'as_expense_area'", 'to': u"orm['finance_core.BudgetArea']"}),
+            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
+            'incurred_time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
+            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
+            'recipient_type': ('django.db.models.fields.CharField', [], {'default': "'other'", 'max_length': '10'}),
+            'request_time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
+            'rfp': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['vouchers.RFP']", 'null': 'True', 'blank': 'True'}),
+            'submitter': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
+            'voucher': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['vouchers.Voucher']", 'null': 'True'})
+        },
+        u'vouchers.rfp': {
+            'Meta': {'object_name': 'RFP'},
+            'addr_city': ('django.db.models.fields.CharField', [], {'max_length': '35', 'blank': 'True'}),
+            'addr_state': ('django.db.models.fields.CharField', [], {'max_length': '10', 'blank': 'True'}),
+            'addr_street': ('django.db.models.fields.CharField', [], {'max_length': '35', 'blank': 'True'}),
+            'addr_zip': ('django.db.models.fields.CharField', [], {'max_length': '10', 'blank': 'True'}),
+            'create_time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
+            'documentation': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['vouchers.Documentation']", 'null': 'True', 'blank': 'True'}),
+            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
+            'item_amount': ('django.db.models.fields.DecimalField', [], {'max_digits': '7', 'decimal_places': '2'}),
+            'item_co': ('django.db.models.fields.CharField', [], {'max_length': '12'}),
+            'item_date': ('django.db.models.fields.DateField', [], {}),
+            'item_desc': ('django.db.models.fields.TextField', [], {}),
+            'item_gl': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
+            'name': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
+            'payee_name': ('django.db.models.fields.CharField', [], {'max_length': '35'}),
+            'payee_type': ('django.db.models.fields.CharField', [], {'default': "'other'", 'max_length': '10'}),
+            'rfp_number': ('django.db.models.fields.IntegerField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
+            'rfp_submit_time': ('django.db.models.fields.DateTimeField', [], {'default': 'None', 'null': 'True', 'blank': 'True'})
+        },
+        u'vouchers.voucher': {
+            'Meta': {'object_name': 'Voucher'},
+            'account': ('django.db.models.fields.IntegerField', [], {}),
+            'amount': ('django.db.models.fields.DecimalField', [], {'max_digits': '7', 'decimal_places': '2'}),
+            'description': ('django.db.models.fields.TextField', [], {}),
+            'documentation': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['vouchers.Documentation']", 'null': 'True', 'blank': 'True'}),
+            'email_address': ('django.db.models.fields.EmailField', [], {'max_length': '50'}),
+            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
+            'gl': ('django.db.models.fields.IntegerField', [], {}),
+            'group_name': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
+            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
+            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
+            'mailing_address': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
+            'process_time': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
+            'processed': ('django.db.models.fields.BooleanField', [], {}),
+            'signatory': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
+            'signatory_email': ('django.db.models.fields.EmailField', [], {'max_length': '75'})
+        }
+    }
+
+    complete_apps = ['vouchers']