Index: treasury/remit_templates/registration/login.html
===================================================================
--- treasury/remit_templates/registration/login.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
+++ treasury/remit_templates/registration/login.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
@@ -0,0 +1,29 @@
+{% extends "base.html" %}
+
+{% block title %}Log in to UA Treasury{% endblock %}
+
+{% block content %}
+
+<h2>Log in to UA Treasury</h2>
+
+{% if form.errors %}
+<p>Your username and password didn't match. Please try again.</p>
+{% endif %}
+
+<form method="post" action="{% url django.contrib.auth.views.login %}">
+<table>
+<tr>
+    <td>{{ form.username.label_tag }}</td>
+    <td>{{ form.username }}</td>
+</tr>
+<tr>
+    <td>{{ form.password.label_tag }}</td>
+    <td>{{ form.password }}</td>
+</tr>
+</table>
+
+<input type="submit" value="login" />
+<input type="hidden" name="next" value="{{ next }}" />
+</form>
+
+{% endblock %}
Index: treasury/remit_templates/vouchers/ReimbursementRequest_review.html
===================================================================
--- treasury/remit_templates/vouchers/ReimbursementRequest_review.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
+++ treasury/remit_templates/vouchers/ReimbursementRequest_review.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
@@ -0,0 +1,54 @@
+{% extends "base.html" %}
+
+{% block title %}Review reimbursement request for "{{ rr.name }}"{% endblock %}
+{% block content %}
+
+<h2>Review reimbursement request: {{rr.name}}</h2>
+
+<table>
+<tr>
+    <th>Short description</th>
+    <td>{{rr.name}}</td>
+</tr>
+<tr>
+    <th>Long description</th>
+    <td>{{rr.description}}</td>
+</tr>
+<tr>
+    <th>Amount</th>
+    <td>${{rr.amount}}</td>
+</tr>
+<tr>
+    <th>Term</th>
+    <td>{{rr.budget_term}}</td>
+</tr>
+<tr>
+    <th>Budget area</th>
+    <td>{{rr.budget_area}}</td>
+</tr>
+<tr>
+    <th>Submitter</th>
+    <td>{{rr.submitter}}</td>
+</tr>
+<tr>
+    <th>Check recipient</th>
+    <td>
+        <p>{{rr.check_to_name}} (email: {{rr.check_to_email}})</p>
+        <p>{{rr.check_to_addr}}</p>
+    </td>
+</tr>
+<tr>
+    <th>Request Time</th>
+    <td>{{rr.request_time}}</td>
+</tr>
+<tr>
+    <th>Approval Time</th>
+    <td>{{rr.approval_time}}</td>
+</tr>
+<tr>
+    <th>Printing Time</th>
+    <td>{{rr.printing_time}}</td>
+</tr>
+</table>
+
+{% endblock %}
Index: treasury/remit_templates/vouchers/select.html
===================================================================
--- treasury/remit_templates/vouchers/select.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
+++ treasury/remit_templates/vouchers/select.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
@@ -0,0 +1,15 @@
+{% extends "base.html" %}
+
+{% block title %}Reimbursement Request &raquo; Select Term and Area{% endblock %}
+{% block content %}
+
+<h2>UA Reimbursement Request: Step 1: Select Term and Area</h2>
+
+<form method="post" action="">
+<table>
+{{ form.as_table }}
+<tr><td></td><td><input type='submit' value='Proceed' /></td></tr>
+</table>
+</form>
+
+{% endblock %}
Index: treasury/remit_templates/vouchers/submit.html
===================================================================
--- treasury/remit_templates/vouchers/submit.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
+++ treasury/remit_templates/vouchers/submit.html	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
@@ -0,0 +1,32 @@
+{% extends "base.html" %}
+
+{% block title %}Reimbursement Request &raquo; Details{% endblock %}
+{% block content %}
+
+<h2>UA Reimbursement Request: Step 2: Details</h2>
+
+<form method="post" action="">
+<table>
+<tr class='sect-head'>
+    <td></td>
+    <th>You are requesting a reimbursement from:</th>
+</tr>
+<tr>
+    <th>Term</th>
+    <td>{{term}}</td>
+</tr>
+<tr>
+    <th>Committee</th>
+    <td>{{comm}}</td>
+</tr>
+
+<tr class='sect-head'>
+    <td></td>
+    <th>Request details:</th>
+</tr>
+{{ form.as_table }}
+<tr><td></td><td><input type='submit' value='Request Reimbursement' /></td></tr>
+</table>
+</form>
+
+{% endblock %}
Index: treasury/remit_templates/vouchers/voucher.tex
===================================================================
--- treasury/remit_templates/vouchers/voucher.tex	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
+++ treasury/remit_templates/vouchers/voucher.tex	(revision 8fc315adece474d5a20409ceda0a968aa7483897)
@@ -0,0 +1,28 @@
+{% load latex %}
+{% autoescape off %}
+\documentclass{mitvoucher}
+
+\signatoryemail{esp-treasurer@mit.edu}
+
+\begin{document}
+{% for f in forms %}
+\begin{voucher}
+\groupname{ {{f.group_name|texescape}} }
+\costobject{ {{f.account|texescape}} }
+\signatory{ {{f.signatory|texescape}} }
+\bycheck{}
+\payablefirst{ {{f.first_name|texescape}} }
+\payablelast{ {{f.last_name|texescape}} }
+\email{ {{f.email_address|texescape}} }
+{% if f.mailing_address.0 %}\mailone{ {{f.mailing_address.0|texescape}} }
+{% endif %}{% if f.mailing_address.1 %}\mailtwo{ {{f.mailing_address.1|texescape}} }
+{% endif %}{% if f.mailing_address.2 %}\mailthree{ {{f.mailing_address.2|texescape}} }
+{% endif %}\amt{\${{f.amount|texescape}} }
+\desc{
+{{f.description|texescape}}
+}
+\gl{ {{f.gl|texescape}} }
+\end{voucher}
+{% endfor %}
+\end{document}
+{% endautoescape %}
Index: easury/templates/registration/login.html
===================================================================
--- treasury/templates/registration/login.html	(revision dbc9bf9d28eb9bc6439cb4d58478d29aa6772767)
+++ 	(revision )
@@ -1,29 +1,0 @@
-{% extends "base.html" %}
-
-{% block title %}Log in to UA Treasury{% endblock %}
-
-{% block content %}
-
-<h2>Log in to UA Treasury</h2>
-
-{% if form.errors %}
-<p>Your username and password didn't match. Please try again.</p>
-{% endif %}
-
-<form method="post" action="{% url django.contrib.auth.views.login %}">
-<table>
-<tr>
-    <td>{{ form.username.label_tag }}</td>
-    <td>{{ form.username }}</td>
-</tr>
-<tr>
-    <td>{{ form.password.label_tag }}</td>
-    <td>{{ form.password }}</td>
-</tr>
-</table>
-
-<input type="submit" value="login" />
-<input type="hidden" name="next" value="{{ next }}" />
-</form>
-
-{% endblock %}
Index: easury/templates/vouchers/ReimbursementRequest_review.html
===================================================================
--- treasury/templates/vouchers/ReimbursementRequest_review.html	(revision 6b8d8919e787ca36143b21ab84a2e298c81a975e)
+++ 	(revision )
@@ -1,54 +1,0 @@
-{% extends "base.html" %}
-
-{% block title %}Review reimbursement request for "{{ rr.name }}"{% endblock %}
-{% block content %}
-
-<h2>Review reimbursement request: {{rr.name}}</h2>
-
-<table>
-<tr>
-    <th>Short description</th>
-    <td>{{rr.name}}</td>
-</tr>
-<tr>
-    <th>Long description</th>
-    <td>{{rr.description}}</td>
-</tr>
-<tr>
-    <th>Amount</th>
-    <td>${{rr.amount}}</td>
-</tr>
-<tr>
-    <th>Term</th>
-    <td>{{rr.budget_term}}</td>
-</tr>
-<tr>
-    <th>Budget area</th>
-    <td>{{rr.budget_area}}</td>
-</tr>
-<tr>
-    <th>Submitter</th>
-    <td>{{rr.submitter}}</td>
-</tr>
-<tr>
-    <th>Check recipient</th>
-    <td>
-        <p>{{rr.check_to_name}} (email: {{rr.check_to_email}})</p>
-        <p>{{rr.check_to_addr}}</p>
-    </td>
-</tr>
-<tr>
-    <th>Request Time</th>
-    <td>{{rr.request_time}}</td>
-</tr>
-<tr>
-    <th>Approval Time</th>
-    <td>{{rr.approval_time}}</td>
-</tr>
-<tr>
-    <th>Printing Time</th>
-    <td>{{rr.printing_time}}</td>
-</tr>
-</table>
-
-{% endblock %}
Index: easury/templates/vouchers/select.html
===================================================================
--- treasury/templates/vouchers/select.html	(revision b0f541ce111c5f14541cb64b20af3098d9fcadf9)
+++ 	(revision )
@@ -1,15 +1,0 @@
-{% extends "base.html" %}
-
-{% block title %}Reimbursement Request &raquo; Select Term and Area{% endblock %}
-{% block content %}
-
-<h2>UA Reimbursement Request: Step 1: Select Term and Area</h2>
-
-<form method="post" action="">
-<table>
-{{ form.as_table }}
-<tr><td></td><td><input type='submit' value='Proceed' /></td></tr>
-</table>
-</form>
-
-{% endblock %}
Index: easury/templates/vouchers/submit.html
===================================================================
--- treasury/templates/vouchers/submit.html	(revision 5989f2fdb0ba48acf786f7d8033318c69546894d)
+++ 	(revision )
@@ -1,32 +1,0 @@
-{% extends "base.html" %}
-
-{% block title %}Reimbursement Request &raquo; Details{% endblock %}
-{% block content %}
-
-<h2>UA Reimbursement Request: Step 2: Details</h2>
-
-<form method="post" action="">
-<table>
-<tr class='sect-head'>
-    <td></td>
-    <th>You are requesting a reimbursement from:</th>
-</tr>
-<tr>
-    <th>Term</th>
-    <td>{{term}}</td>
-</tr>
-<tr>
-    <th>Committee</th>
-    <td>{{comm}}</td>
-</tr>
-
-<tr class='sect-head'>
-    <td></td>
-    <th>Request details:</th>
-</tr>
-{{ form.as_table }}
-<tr><td></td><td><input type='submit' value='Request Reimbursement' /></td></tr>
-</table>
-</form>
-
-{% endblock %}
Index: easury/templates/vouchers/voucher.tex
===================================================================
--- treasury/templates/vouchers/voucher.tex	(revision 31bd056548b5b07969464d32b0c8a515e894d00f)
+++ 	(revision )
@@ -1,28 +1,0 @@
-{% load latex %}
-{% autoescape off %}
-\documentclass{mitvoucher}
-
-\signatoryemail{esp-treasurer@mit.edu}
-
-\begin{document}
-{% for f in forms %}
-\begin{voucher}
-\groupname{ {{f.group_name|texescape}} }
-\costobject{ {{f.account|texescape}} }
-\signatory{ {{f.signatory|texescape}} }
-\bycheck{}
-\payablefirst{ {{f.first_name|texescape}} }
-\payablelast{ {{f.last_name|texescape}} }
-\email{ {{f.email_address|texescape}} }
-{% if f.mailing_address.0 %}\mailone{ {{f.mailing_address.0|texescape}} }
-{% endif %}{% if f.mailing_address.1 %}\mailtwo{ {{f.mailing_address.1|texescape}} }
-{% endif %}{% if f.mailing_address.2 %}\mailthree{ {{f.mailing_address.2|texescape}} }
-{% endif %}\amt{\${{f.amount|texescape}} }
-\desc{
-{{f.description|texescape}}
-}
-\gl{ {{f.gl|texescape}} }
-\end{voucher}
-{% endfor %}
-\end{document}
-{% endautoescape %}