Index: treasury/templates/base.html
===================================================================
--- treasury/templates/base.html	(revision 27fe6c6096545c6f222fe9ff05204b976185b9ca)
+++ treasury/templates/base.html	(revision 27fe6c6096545c6f222fe9ff05204b976185b9ca)
@@ -0,0 +1,185 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+  <head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta name="robots" content="all" />
+    <meta name="description" content="MIT Undergraduate Association" />
+    <meta name="keywords" content=", MIT UA, Massachusetts Institute of Technology, MIT student government, undergraduate association" />
+    <title>Senate Legislation</title>
+    
+    
+    
+    
+
+    <link rel="stylesheet" type="text/css" href="../../stylesheet/style.css" />
+
+    
+
+    <!--[if lt IE 7]>
+        <link rel="stylesheet" type="text/css" href="../../stylesheet/ie6fixes.css" />
+        <![endif]-->
+
+    <!--[if IE 7]>
+        <link rel="stylesheet" type="text/css" href="../../stylesheet/ie7fixes.css" />
+        <![endif]-->
+
+    <script type="text/javascript" src="http://www.google.com/jsapi"></script>
+
+
+
+  </head>
+
+  <body>
+
+    <div id="container">
+      <div id="header_image">
+    <div class="logo">
+            <img src="../../images/ua_logo.png" alt="MIT Undergraduate Association" />
+        </div>
+    <div class="navigation">
+      
+        <ul>
+<li><a href="../../">Home</a></li>
+<li><a href="../../news/">News</a></li>
+
+<li><a href="../../exec/">Exec</a>
+<ul>
+<li><a href="../../exec/lunches/">Hockfield Student Lunches</a></li>
+<li><a href="../../exec/blueribbon/">Blue Ribbon Dining Committee</a></li>
+<li><a href="../../finances/">Finances</a></li>
+<li><a href="../../exec/treasury/">Treasury</a></li>
+<li><a href="../../produce_market/">MIT Produce Market</a></li>
+<li><a href="../../star_shuttle/">Star Market Shuttle</a></li>
+<li><a href="../../exec/slf/">Student Life Fee</a></li>
+
+<li><a href="../../accom/">UA Accomplishments</a></li>
+<li><a href="../../exec/officehours/">Office Hours</a></li>
+</ul></li>
+<li><a href="../../committees/">Committees</a>
+<ul>
+<li><a href="http://web.mit.edu/asa/">Association of Student Activities</a></li>
+<li><a href="../../committees/athletics/">Committee on Athletics</a></li>
+<li><a href="../../committees/pr/">Committee on Communications</a></li>
+<li><a href="../../committees/dining/">Committee on Dining</a></li>
+<li><a href="../../committees/history/">Committee on History</a></li>
+
+<li><a href="../../committees/housing/">Committee on Housing</a></li>
+<li><a href="../../committees/nomcomm/">Committee on Nominations</a></li>
+<li><a href="../../committees/space/">Committee on Space Planning</a></li>
+<li><a href="../../committees/csl/">Committee on Student Life</a></li>
+<li><a href="../../committees/sustain/">Committee on Sustainability</a></li>
+<li><a href="../../committees/events/">Events Committee</a></li>
+<li><a href="../../committees/finboard/">Finance Board</a></li>
+<li><a href="../../committees/scep/">Student Committee on Educational Policy</a></li>
+<li><a href="../../committees/adhoc/">Ad-Hoc Committees</a></li>
+
+</ul></li>
+<li><a href="../">Senate</a>
+<ul>
+<li><a href="../#calendar">Calendar</a></li>
+<li><a href="../minutes/">Minutes</a></li>
+<li><span class="selflink">Legislation</span></li>
+<li><a href="../members/">Members</a></li>
+<li><a href="../../finances/">Finances</a></li>
+</ul></li>
+<li><a href="../../judboard/">JudBoard</a>
+
+<ul>
+<li><a href="../../committees/elect/">Election Commission</a></li>
+</ul></li>
+<li><a href="../../classcouncils/">Class Councils</a>
+<ul>
+<li><a href="http://web.mit.edu/2009/">2009</a></li>
+<li><a href="http://web.mit.edu/2010/">2010</a></li>
+<li><a href="http://web.mit.edu/2011/">2011</a></li>
+<li><a href="http://web.mit.edu/2012/">2012</a></li>
+</ul></li>
+<li><a href="../../join/">Join!</a>
+
+<ul>
+<li><a href="../../join/">Committees</a></li>
+<li><a href="../../lists/">Mailing Lists</a></li>
+</ul></li>
+<li><a href="../../resources/">Resources</a>
+<ul>
+<li><a href="http://studentlife.mit.edu/">Dean for Student Life</a></li>
+<li><a href="http://web.mit.edu/dormcon/">Dormitory Council</a></li>
+<li><a href="http://gsc.mit.edu/">Graduate Student Council</a></li>
+<li><a href="http://www.mitifc.org/">Interfraternity Council</a></li>
+
+<li><a href="http://www.mit.edu/~lgc/">Living Group Council</a></li>
+<li><a href="http://web.mit.edu/panhel/www/">Panhellenic Association</a></li>
+</ul></li>
+</ul>
+
+      
+    </div><!-- navigation -->
+      </div><!-- header_image -->
+
+      <div id="content">
+<!--    <div id="search_bar"><input type="text" name="search" />
+        <input type="submit" value="Search" /></div>-->
+    <div id="left_column">
+
+
+
+      <div class="column_item">
+        <div></div>
+        <div>
+          <div>
+        <h3><img src="../../images/principal_officers.png" alt="UA Principal Officers" /></h3>
+        <p>
+          <strong>President</strong>
+
+          <span>Michael Bennie '10</span>
+        </p>
+        <p>
+          <strong>Vice President</strong>
+          <span>Maggie Delano '10</span>
+        </p>
+        <p>
+
+          <strong>Treasurer</strong>
+          <span>Alex Dehnert '12</span>
+        </p>
+        <p>
+          <strong>Secretary General</strong>
+          <span>Liz Denys '11</span>
+        </p>
+
+        <p>
+          <strong>Speaker of the Senate</strong>
+          <span>Paul Baranay '11</span>
+        </p>
+        <p>
+          <strong>Vice-Chair of the Senate</strong>
+          <span>Tim Stumbaugh '12</span>
+
+        </p>
+          </div>
+        </div>
+        <div></div>
+      </div><!-- column_item -->
+
+    </div><!-- left_column -->
+    <div id="right_column">
+
+
+    </div><!-- right_column -->
+    <br style="clear:both;" />
+
+      </div><!-- content -->
+
+    </div><!-- container -->
+    <div id="footer">
+
+<div>&copy; MIT Undergraduate Association - last edited <span class="date">Sun Nov 15 02:43:00 2009</span>
+<!-- Created <span class="date">Thu Sep 10 22:15:53 2009</span> -->
+
+</div>
+
+</div>
+
+  </body>
+</html>