Index: remit/templates/base.html
===================================================================
--- remit/templates/base.html	(revision 92ca60ed46c225b17cbff5fcda7a045dd5710fae)
+++ 	(revision )
@@ -1,176 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-  <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <meta name="robots" content="all" />
-    <meta name="description" content="MIT Undergraduate Association" />
-    <meta name="keywords" content=", MIT UA, Massachusetts Institute of Technology, MIT student government, undergraduate association" />
-    <title>{% block title %}TITLE{% endblock %}</title>
-
-    <link rel="stylesheet" type="text/css" href="http://ua.mit.edu/stylesheet/style.css" />
-    <link rel="stylesheet" type="text/css" href="/media/style/style.css" />
-
-    <!--[if lt IE 7]>
-        <link rel="stylesheet" type="text/css" href="http://ua.mit.edu/stylesheet/ie6fixes.css" />
-        <![endif]-->
-
-    <!--[if IE 7]>
-        <link rel="stylesheet" type="text/css" href="http://ua.mit.edu/stylesheet/ie7fixes.css" />
-        <![endif]-->
-
-    <script type="text/javascript" src="http://www.google.com/jsapi"></script>
-  </head>
-
-  <body>
-
-    <div id="container">
-      <div id="header_image">
-    <div class="logo">
-            <img src="http://ua.mit.edu/images/ua_logo.png" alt="MIT Undergraduate Association" />
-        </div>
-    <div class="navigation">
-      
-        <ul>
-<li><a href="http://ua.mit.edu/">Home</a></li>
-<li><a href="http://ua.mit.edu/news/">News</a></li>
-
-<li><a href="http://ua.mit.edu/exec/">Exec</a>
-<ul>
-<li><a href="http://ua.mit.edu/exec/lunches/">Hockfield Student Lunches</a></li>
-<li><a href="http://ua.mit.edu/exec/blueribbon/">Blue Ribbon Dining Committee</a></li>
-<li><a href="http://ua.mit.edu/finances/">Finances</a></li>
-<li><a href="http://ua.mit.edu/exec/treasury/">Treasury</a></li>
-<li><a href="http://ua.mit.edu/produce_market/">MIT Produce Market</a></li>
-<li><a href="http://ua.mit.edu/star_shuttle/">Star Market Shuttle</a></li>
-<li><a href="http://ua.mit.edu/exec/slf/">Student Life Fee</a></li>
-
-<li><a href="http://ua.mit.edu/accom/">UA Accomplishments</a></li>
-<li><a href="http://ua.mit.edu/exec/officehours/">Office Hours</a></li>
-</ul></li>
-<li><a href="http://ua.mit.edu/committees/">Committees</a>
-<ul>
-<li><a href="http://web.mit.edu/asa/">Association of Student Activities</a></li>
-<li><a href="http://ua.mit.edu/committees/athletics/">Committee on Athletics</a></li>
-<li><a href="http://ua.mit.edu/committees/pr/">Committee on Communications</a></li>
-<li><a href="http://ua.mit.edu/committees/dining/">Committee on Dining</a></li>
-<li><a href="http://ua.mit.edu/committees/history/">Committee on History</a></li>
-
-<li><a href="http://ua.mit.edu/committees/housing/">Committee on Housing</a></li>
-<li><a href="http://ua.mit.edu/committees/nomcomm/">Committee on Nominations</a></li>
-<li><a href="http://ua.mit.edu/committees/space/">Committee on Space Planning</a></li>
-<li><a href="http://ua.mit.edu/committees/csl/">Committee on Student Life</a></li>
-<li><a href="http://ua.mit.edu/committees/sustain/">Committee on Sustainability</a></li>
-<li><a href="http://ua.mit.edu/committees/events/">Events Committee</a></li>
-<li><a href="http://ua.mit.edu/committees/finboard/">Finance Board</a></li>
-<li><a href="http://ua.mit.edu/committees/scep/">Student Committee on Educational Policy</a></li>
-<li><a href="http://ua.mit.edu/committees/adhoc/">Ad-Hoc Committees</a></li>
-
-</ul></li>
-<li><a href="http://ua.mit.edu/senate/">Senate</a>
-<ul>
-<li><a href="http://ua.mit.edu/senate/#calendar">Calendar</a></li>
-<li><a href="http://ua.mit.edu/senate/minutes/">Minutes</a></li>
-<li><a href="http://ua.mit.edu/senate/legislation/">Legislation</a></li>
-<li><a href="http://ua.mit.edu/senate/members/">Members</a></li>
-<li><a href="http://ua.mit.edu/finances/">Finances</a></li>
-</ul></li>
-<li><a href="http://ua.mit.edu/judboard/">JudBoard</a>
-
-<ul>
-<li><a href="http://ua.mit.edu/committees/elect/">Election Commission</a></li>
-</ul></li>
-<li><a href="http://ua.mit.edu/classcouncils/">Class Councils</a>
-<ul>
-<li><a href="http://web.mit.edu/2009/">2009</a></li>
-<li><a href="http://web.mit.edu/2010/">2010</a></li>
-<li><a href="http://web.mit.edu/2011/">2011</a></li>
-<li><a href="http://web.mit.edu/2012/">2012</a></li>
-</ul></li>
-<li><a href="http://ua.mit.edu/join/">Join!</a>
-
-<ul>
-<li><a href="http://ua.mit.edu/join/">Committees</a></li>
-<li><a href="http://ua.mit.edu/lists/">Mailing Lists</a></li>
-</ul></li>
-<li><a href="http://ua.mit.edu/resources/">Resources</a>
-<ul>
-<li><a href="http://studentlife.mit.edu/">Dean for Student Life</a></li>
-<li><a href="http://web.mit.edu/dormcon/">Dormitory Council</a></li>
-<li><a href="http://gsc.mit.edu/">Graduate Student Council</a></li>
-<li><a href="http://www.mitifc.org/">Interfraternity Council</a></li>
-
-<li><a href="http://www.mit.edu/~lgc/">Living Group Council</a></li>
-<li><a href="http://web.mit.edu/panhel/www/">Panhellenic Association</a></li>
-</ul></li>
-</ul>
-
-      
-    </div><!-- navigation -->
-      </div><!-- header_image -->
-
-      <div id="content">
-<!--    <div id="search_bar"><input type="text" name="search" />
-        <input type="submit" value="Search" /></div>-->
-    <div id="left_column">
-
-      <div class="column_item">
-        <div></div>
-        <div>
-          <div>
-        <h3><img src="http://ua.mit.edu/images/principal_officers.png" alt="UA Principal Officers" /></h3>
-        <p>
-          <strong>President</strong>
-
-          <span>Michael Bennie '10</span>
-        </p>
-        <p>
-          <strong>Vice President</strong>
-          <span>Maggie Delano '10</span>
-        </p>
-        <p>
-
-          <strong>Treasurer</strong>
-          <span>Alex Dehnert '12</span>
-        </p>
-        <p>
-          <strong>Secretary General</strong>
-          <span>Liz Denys '11</span>
-        </p>
-
-        <p>
-          <strong>Speaker of the Senate</strong>
-          <span>Paul Baranay '11</span>
-        </p>
-        <p>
-          <strong>Vice-Chair of the Senate</strong>
-          <span>Tim Stumbaugh '12</span>
-
-        </p>
-          </div>
-        </div>
-        <div></div>
-      </div><!-- column_item -->
-
-    </div><!-- left_column -->
-    <div id="right_column">
-
-{% block content %}{% endblock %}
-
-    </div><!-- right_column -->
-    <br style="clear:both;" />
-
-      </div><!-- content -->
-
-    </div><!-- container -->
-    <div id="footer">
-
-<div>&copy; MIT Undergraduate Association - last edited <span class="date">Sun Nov 15 02:43:00 2009</span>
-<!-- Created <span class="date">Thu Sep 10 22:15:53 2009</span> -->
-
-</div>
-
-</div>
-
-  </body>
-</html>