Index: remit/media/style/style.css
===================================================================
--- remit/media/style/style.css	(revision 84b36408288b550c2b7c395562ea4a3398e98887)
+++ remit/media/style/style.css	(revision 856aac873f74788cf9c8f2a647897567c4545892)
@@ -21,2 +21,46 @@
     color: red;
 }
+
+div.messagebox
+{
+    padding: 0 10px 10px 10px;
+    margin: 2em 0;
+    border: 1px solid;
+    width: 50%;
+}
+div.messagebox > h3
+{
+    margin: 0 -10px;
+    padding: 2px 10px;
+    margin-bottom: 1em;
+}
+
+div.infobox
+{
+    background-color: #afa;
+    border-color: #0f0;
+}
+
+div.infobox h3 {
+    background: #6f6;
+}
+
+div.warnbox
+{
+    background-color: #ffdf60;
+    border-color: #ffbf00;
+}
+
+div.warnbox h3 {
+    background: #faba00;
+}
+
+div.errorbox
+{
+    background-color: #faa;
+    border-color: red;
+}
+
+div.errorbox h3 {
+    background: #f88;
+}
Index: remit/remit_templates/vouchers/ReimbursementRequest_review.html
===================================================================
--- remit/remit_templates/vouchers/ReimbursementRequest_review.html	(revision 7416c7e7e5b58949d1991736a9383ad22019db79)
+++ remit/remit_templates/vouchers/ReimbursementRequest_review.html	(revision 856aac873f74788cf9c8f2a647897567c4545892)
@@ -7,7 +7,16 @@
 <h2>Review reimbursement request: {{rr.name}}</h2>
 
-<p>The following request has been stored in our database:</p>
+{% if new %}
+<div class='messagebox infobox'>
+<h3>Request Submitted</h3>
+<p>You have successfully submitted a request for reimbursement.</p>
+</div>
+{% endif %}
 
 <table class='pretty-table reimbursement-request'>
+<tr>
+    <th>Request ID</th>
+    <td>{{rr.label}}</td>
+</tr>
 <tr>
     <th>Short description</th>
@@ -59,4 +68,8 @@
 </table>
 
+{% if new %}
+{% include "vouchers/reimbursementrequest_instructions.fragment.html" %}
+{% endif %}
+
 {% if approve_form %}
 <h3>Request Approval</h3>
Index: remit/remit_templates/vouchers/reimbursementrequest_instructions.fragment.html
===================================================================
--- remit/remit_templates/vouchers/reimbursementrequest_instructions.fragment.html	(revision 856aac873f74788cf9c8f2a647897567c4545892)
+++ remit/remit_templates/vouchers/reimbursementrequest_instructions.fragment.html	(revision 856aac873f74788cf9c8f2a647897567c4545892)
@@ -0,0 +1,4 @@
+<div class='messagebox warnbox'>
+<h3>Next Step</h3>
+<p>Please label your receipt(s) with your name, email address, and request ID (<strong>{{rr.label}}</strong>). Leave the labeled receipt in the receipt box, and it should be processed in the next run of vouchers.</p>
+</div>
Index: remit/settings.py
===================================================================
--- remit/settings.py	(revision 71d716d93e9828dd295cd6d4ef6040065d8eadf0)
+++ remit/settings.py	(revision 856aac873f74788cf9c8f2a647897567c4545892)
@@ -16,4 +16,5 @@
 
 GROUP_NAME = 'Remit'
+GROUP_ABBR = 'RM'
 SIGNATORY_EMAIL = None
 
Index: remit/vouchers/models.py
===================================================================
--- remit/vouchers/models.py	(revision dcaa9c0f19a99c92910240185017ce6d1db24ed6)
+++ remit/vouchers/models.py	(revision 856aac873f74788cf9c8f2a647897567c4545892)
@@ -59,5 +59,5 @@
         voucher.mailing_address = self.check_to_addr
         voucher.amount = self.amount
-        voucher.description = self.name
+        voucher.description = self.label() + ': ' + self.name
         voucher.gl = self.expense_area.get_account_number()
         voucher.save()
@@ -74,4 +74,7 @@
         self.approval_time = datetime.datetime.now()
         self.save()
+
+    def label(self, ):
+        return settings.GROUP_ABBR + unicode(self.pk) + 'RR'
 
 class Voucher(models.Model):
Index: remit/vouchers/views.py
===================================================================
--- remit/vouchers/views.py	(revision dcaa9c0f19a99c92910240185017ce6d1db24ed6)
+++ remit/vouchers/views.py	(revision 856aac873f74788cf9c8f2a647897567c4545892)
@@ -118,5 +118,5 @@
         if form.is_valid(): # All validation rules pass
             form.save()
-            return HttpResponseRedirect(reverse(review_request, args=[new_request.pk],)) # Redirect after POST
+            return HttpResponseRedirect(reverse(review_request, args=[new_request.pk],) + '?new=true') # Redirect after POST
     else:
         form = RequestForm(instance=new_request, initial=initial, ) # An unbound form
@@ -140,4 +140,10 @@
 def review_request(http_request, object_id):
     request_obj = get_object_or_404(ReimbursementRequest, pk=object_id)
+    new = False
+    if 'new' in http_request.REQUEST:
+        if http_request.REQUEST['new'].upper() == 'TRUE':
+            new = True
+        else:
+            new = False
 
     show_approve = (http_request.user.has_perm('vouchers.can_approve')
@@ -182,4 +188,5 @@
         'rr':request_obj,
         'pagename':'request_reimbursement',
+        'new': new,
     }
     if show_approve: