Index: remit/remit_templates/base.html
===================================================================
--- remit/remit_templates/base.html	(revision c3e751da1adc60001e4ba3c7828a7473b43fe25e)
+++ remit/remit_templates/base.html	(revision 695d3585f913a943a49f6b6f4cdda63c15783e35)
@@ -1,2 +1,3 @@
+{% load url from future %}
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 
@@ -14,12 +15,12 @@
   <body>
     <ul class='tab-navigation'>
-        <li{% ifequal pagename "homepage" %} class='selected'{% endifequal %}><a href="{% url homepage %}">Home</a></li>
-        <li{% ifequal pagename "request_reimbursement" %} class='selected'{% endifequal %}><a href="{% url request_reimbursement %}">Request reimbursement</a></li>
-        <li{% ifequal pagename "list_requests" %} class='selected'{% endifequal %}><a href="{% url list_requests %}">List requests</a></li>
+        <li{% ifequal pagename "homepage" %} class='selected'{% endifequal %}><a href="{% url "homepage" %}">Home</a></li>
+        <li{% ifequal pagename "request_reimbursement" %} class='selected'{% endifequal %}><a href="{% url "request_reimbursement" %}">Request reimbursement</a></li>
+        <li{% ifequal pagename "list_requests" %} class='selected'{% endifequal %}><a href="{% url "list_requests" %}">List requests</a></li>
         {% if perms.finance_core.use_reporting %}
-        <li{% ifequal pagename "reporting" %} class='selected'{% endifequal %}><a href="{% url reporting %}">Reporting</a></li>
+        <li{% ifequal pagename "reporting" %} class='selected'{% endifequal %}><a href="{% url "reporting" %}">Reporting</a></li>
         {% endif %}
         {% if user.is_staff %}
-        <li><a href='{% url admin:index %}'>Django Admin</a></li>
+        <li><a href='{% url "admin:index" %}'>Django Admin</a></li>
         {% endif %}
     </ul>
@@ -33,5 +34,5 @@
             <p>Welcome, <span class='username'>{{user.username}}</span>.</p>
             {% endif %}
-            <p><a href='{% url logout %}'>Logout</a></p>
+            <p><a href='{% url "logout" %}'>Logout</a></p>
         </div>
         {% endif %}
Index: remit/remit_templates/index.html
===================================================================
--- remit/remit_templates/index.html	(revision 0671644434c0c3fb674a83b9ed06b20f256eb9ca)
+++ remit/remit_templates/index.html	(revision 695d3585f913a943a49f6b6f4cdda63c15783e35)
@@ -1,3 +1,4 @@
 {% extends "base.html" %}
+{% load url from future %}
 
 {% block title %}Welcome to Remit{% endblock %}
@@ -12,16 +13,16 @@
 <ul>
     {% if user.is_anonymous %}
-    <li><a href='{% url login %}'>Login</a></li>
+    <li><a href='{% url "login" %}'>Login</a></li>
     {% endif %}
-    <li><a href="{% url request_reimbursement %}">Request reimbursement</a></li>
-    <li><a href="{% url list_requests %}">List requests</a></li>
+    <li><a href="{% url "request_reimbursement" %}">Request reimbursement</a></li>
+    <li><a href="{% url "list_requests" %}">List requests</a></li>
     {% if perms.finance_core.use_reporting %}
-    <li><a href="{% url reporting %}">Reporting</a></li>
+    <li><a href="{% url "reporting" %}">Reporting</a></li>
     {% endif %}
     {% if user.is_staff %}
-    <li><a href='{% url admin:index %}'>Django admin interface</a></li>
+    <li><a href='{% url "admin:index" %}'>Django admin interface</a></li>
     {% endif %}
     {% if user.is_authenticated %}
-    <li><a href='{% url logout %}'>Logout</a></li>
+    <li><a href='{% url "logout" %}'>Logout</a></li>
     {% endif %}
 </ul>
Index: remit/remit_templates/registration/logged_out.html
===================================================================
--- remit/remit_templates/registration/logged_out.html	(revision 732d9eb8ad799b7daf2202d1f86a1498e5bcd5c1)
+++ remit/remit_templates/registration/logged_out.html	(revision 695d3585f913a943a49f6b6f4cdda63c15783e35)
@@ -1,3 +1,4 @@
 {% extends "base.html" %}
+{% load url from future %}
 
 {% block title %}Logged out of Remit{% endblock %}
@@ -6,4 +7,4 @@
 <h2>Logged out of Remit</h2>
 
-<p>You have been logged out of Remit. You can return to the <a href='{% url homepage %}'>homepage</a> or <a href='{% url login %}'>login again</a>.</p>
+<p>You have been logged out of Remit. You can return to the <a href='{% url "homepage" %}'>homepage</a> or <a href='{% url "login" %}'>login again</a>.</p>
 {% endblock %}
Index: remit/remit_templates/registration/login.html
===================================================================
--- remit/remit_templates/registration/login.html	(revision 1ba734fe5ce1409d9e06e1e910d9f71aa27c7083)
+++ remit/remit_templates/registration/login.html	(revision 695d3585f913a943a49f6b6f4cdda63c15783e35)
@@ -1,3 +1,4 @@
 {% extends "base.html" %}
+{% load url from future %}
 
 {% block title %}Log in to Remit{% endblock %}
@@ -11,5 +12,5 @@
 {% endif %}
 
-<form method="post" action="{% url django.contrib.auth.views.login %}">
+<form method="post" action="{% url "django.contrib.auth.views.login" %}">
 {% csrf_token %}
 <table>
Index: remit/remit_templates/vouchers/ReimbursementRequest_review.html
===================================================================
--- remit/remit_templates/vouchers/ReimbursementRequest_review.html	(revision a5ef930f40510b7507f0b0dde5f6a3709d8e06c3)
+++ remit/remit_templates/vouchers/ReimbursementRequest_review.html	(revision 695d3585f913a943a49f6b6f4cdda63c15783e35)
@@ -1,3 +1,4 @@
 {% extends "base.html" %}
+{% load url from future %}
 {% load misc %}
 
@@ -123,5 +124,5 @@
 {% else %}
 {% if perms.vouchers.change_reimbursementrequest %}
-<p>Optionally, <a href='{% url admin:vouchers_reimbursementrequest_change rr.pk %}'>change this request first</a>.</p>
+<p>Optionally, <a href='{% url "admin:vouchers_reimbursementrequest_change" rr.pk %}'>change this request first</a>.</p>
 {% endif %}
 <form method="post" action="">
Index: remit/remit_templates/vouchers/reimbursementrequest_list.html
===================================================================
--- remit/remit_templates/vouchers/reimbursementrequest_list.html	(revision f6f7affe6dda1dfa3e21449f348c65c8f6b5879b)
+++ remit/remit_templates/vouchers/reimbursementrequest_list.html	(revision 695d3585f913a943a49f6b6f4cdda63c15783e35)
@@ -1,3 +1,4 @@
 {% extends "base.html" %}
+{% load url from future %}
 {% load misc %}
 
@@ -58,8 +59,8 @@
     <td>
         <input type='checkbox' name='select' value='{{object.pk}}'{%ifin object.pk selected_ids %} checked='checked'{%endifin%}></input>
-        <a href='{% url review_request object.pk %}'>{{ object.pk }}</a>
+        <a href='{% url "review_request" object.pk %}'>{{ object.pk }}</a>
     </td>
     <td>
-        <em><a href='{% url review_request object.pk %}'>{{ object.name }}</a></em>
+        <em><a href='{% url "review_request" object.pk %}'>{{ object.name }}</a></em>
         {% if object.documentation %}<br /><a href='{{object.documentation.backing_file.url}}'>(view docs)</a>{%endif%}
     </td>